Debian Bug report logs - #533341
acerhk-source: fails to build against kernel 2.6.30.

version graph

Package: acerhk-source; Maintainer for acerhk-source is Adam Cécile (Le_Vert) <gandalf@le-vert.net>;

Reported by: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>

Date: Tue, 16 Jun 2009 17:36:01 UTC

Severity: normal

Tags: patch

Found in version acerhk/0.5.35-7

Fixed in version acerhk/0.5.35-8

Done: Adam Cécile (Le_Vert) <gandalf@le-vert.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#533341; Package acerhk-source. (Tue, 16 Jun 2009 17:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
New Bug report received and forwarded. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Tue, 16 Jun 2009 17:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: acerhk-source: fails to build against kernel 2.6.30.
Date: Tue, 16 Jun 2009 19:33:19 +0200
[Message part 1 (text/plain, inline)]
Package: acerhk-source
Version: 0.5.35-7
Severity: normal
Tags: patch

Hi

The following commit to the upstream kernel (part of 2.6.30) removes 
proc_dir_entry::owner, as a result acerhk-source fails to build against 
kernel >=2.6.30.

Gitweb:     http://git.kernel.org/linus/99b76233803beab302123d243eea9e41149804f3
Commit:     99b76233803beab302123d243eea9e41149804f3
Parent:     3dec7f59c370c7b58184d63293c3dc984d475840
Author:     Alexey Dobriyan <adobriyan@gmail.com>
AuthorDate: Wed Mar 25 22:48:06 2009 +0300
Committer:  Alexey Dobriyan <adobriyan@gmail.com>
CommitDate: Tue Mar 31 01:14:44 2009 +0400

    proc 2/2: remove struct proc_dir_entry::owner
    
    Setting ->owner as done currently (pde->owner = THIS_MODULE) is racy
    as correctly noted at bug #12454. Someone can lookup entry with NULL
    ->owner, thus not pinning enything, and release it later resulting
    in module refcount underflow.
    
    We can keep ->owner and supply it at registration time like ->proc_fops
    and ->data.
    
    But this leaves ->owner as easy-manipulative field (just one C assignment)
    and somebody will forget to unpin previous/pin current module when
    switching ->owner. ->proc_fops is declared as "const" which should give
    some thoughts.
    
    ->read_proc/->write_proc were just fixed to not require ->owner for
    protection.
    
    rmmod'ed directories will be empty and return "." and ".." -- no harm.
    And directories with tricky enough readdir and lookup shouldn't be modular.
    We definitely don't want such modular code.
    
    Removing ->owner will also make PDE smaller.
    
    So, let's nuke it.
    
    Kudos to Jeff Layton for reminding about this, let's say, oversight.
    
    http://bugzilla.kernel.org/show_bug.cgi?id=12454
    
    Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com>


Trying to build it, fails with the following error message.

make[3]: Entering directory `/usr/src/linux-headers-2.6.30-0.slh.2-sidux-amd64'                  
  CC [M]  /tmp/pkg/usr_src/modules/acerhk/acerhk.o                                               
/tmp/pkg/usr_src/modules/acerhk/acerhk.c: In function 'init_input':                              
/tmp/pkg/usr_src/modules/acerhk/acerhk.c:2261: warning: ignoring return value of 'input_register_device', declared with attribute warn_unused_result                                              
/tmp/pkg/usr_src/modules/acerhk/acerhk.c: In function 'acerhk_proc_init':                        
/tmp/pkg/usr_src/modules/acerhk/acerhk.c:2705: error: 'struct proc_dir_entry' has no member named 'owner'                                                                                         
/tmp/pkg/usr_src/modules/acerhk/acerhk.c:2714: error: 'struct proc_dir_entry' has no member named 'owner'                                                                                         
/tmp/pkg/usr_src/modules/acerhk/acerhk.c:2724: error: 'struct proc_dir_entry' has no member named 'owner'
/tmp/pkg/usr_src/modules/acerhk/acerhk.c:2736: error: 'struct proc_dir_entry' has no member named 'owner'
/tmp/pkg/usr_src/modules/acerhk/acerhk.c:2749: error: 'struct proc_dir_entry' has no member named 'owner'
/tmp/pkg/usr_src/modules/acerhk/acerhk.c:2762: error: 'struct proc_dir_entry' has no member named 'owner'
make[4]: *** [/tmp/pkg/usr_src/modules/acerhk/acerhk.o] Error 1


The attached patch is derived from Mandriva's (cooker) kernel package [1]
and has originally been written by Herton Ronaldo Krzesinski 
<herton@mandriva.com.br>, I have mostly rediffed the patch against 
acerhk-source and changed the hard proc_dir_entry::owner removal into an
ifdef'ed variant, to keep acerhk compatible with kernels older than 2.6.30.

The attached patch has been tested and confirmed to work on an Acer 292LMi
notebook (i386) with kernel 2.6.29 and 2.6.30.

Regards
	Stefan Lippers-Hollmann

[1]	ftp://ftp.free.fr/mirrors/ftp.mandriva.com/MandrivaLinux/devel/cooker/SRPMS/main/release/kernel-2.6.30-1mnb2.src.rpm

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-0.slh.2-sidux-amd64 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages acerhk-source depends on:
ii  bzip2                         1.0.5-2    high-quality block-sorting file co
ii  debhelper                     7.2.16     helper programs for debian/rules
ii  make                          3.81-5     The GNU version of the "make" util
ii  module-assistant              0.11.1     tool to make module package creati

acerhk-source recommends no packages.

acerhk-source suggests no packages.

-- no debconf information
[3rd-acerhk-proc_dir_entry-owner.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 01 Jul 2009 18:54:11 GMT) Full text and rfc822 format available.

Reply sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
You have taken responsibility. (Thu, 02 Jul 2009 22:33:19 GMT) Full text and rfc822 format available.

Notification sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Bug acknowledged by developer. (Thu, 02 Jul 2009 22:33:19 GMT) Full text and rfc822 format available.

Message #12 received at 533341-close@bugs.debian.org (full text, mbox):

From: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
To: 533341-close@bugs.debian.org
Subject: Bug#533341: fixed in acerhk 0.5.35-8
Date: Thu, 02 Jul 2009 22:02:14 +0000
Source: acerhk
Source-Version: 0.5.35-8

We believe that the bug you reported is fixed in the latest version of
acerhk, which is due to be installed in the Debian FTP archive:

acerhk-source_0.5.35-8_all.deb
  to pool/main/a/acerhk/acerhk-source_0.5.35-8_all.deb
acerhk_0.5.35-8.diff.gz
  to pool/main/a/acerhk/acerhk_0.5.35-8.diff.gz
acerhk_0.5.35-8.dsc
  to pool/main/a/acerhk/acerhk_0.5.35-8.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 533341@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Cécile (Le_Vert) <gandalf@le-vert.net> (supplier of updated acerhk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 01 Jul 2009 20:48:48 +0200
Source: acerhk
Binary: acerhk-source
Architecture: source all
Version: 0.5.35-8
Distribution: unstable
Urgency: low
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Changed-By: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Description: 
 acerhk-source - Source for the acerhk driver
Closes: 533341
Changes: 
 acerhk (0.5.35-8) unstable; urgency=low
 .
   * Fix build failure with kernel 2.6.30, thanks to Herton Ronaldo Krzesinski
     and Stefan Lippers-Hollmann for doing all the work (Closes: #533341).
   * Bump Standards-Version.
Checksums-Sha1: 
 4f3b8efd82a4e583e5cb0370e07b3e289c7a57e5 1032 acerhk_0.5.35-8.dsc
 d016748696a76e826b284c62cc93311b97ce3321 6488 acerhk_0.5.35-8.diff.gz
 2e432847ede80413280481e71f42b26a91c9911d 39444 acerhk-source_0.5.35-8_all.deb
Checksums-Sha256: 
 835d0041f6eebf3444dfa119fd56941ab819192bd7953490ab065a4439f24e55 1032 acerhk_0.5.35-8.dsc
 aed5f51cf9c1091692f33427620c60854555f7b9d3998159e736f49c1c533e42 6488 acerhk_0.5.35-8.diff.gz
 c541f8136f675a6a3456322d4d4b1a849432e8201a9120a5c4285942edc096cb 39444 acerhk-source_0.5.35-8_all.deb
Files: 
 558b931553d6c056b766172905326728 1032 misc optional acerhk_0.5.35-8.dsc
 a6c5b708b123dc7817fa92d71a16d809 6488 misc optional acerhk_0.5.35-8.diff.gz
 3ee02efe0fe82b2037115b86687925dd 39444 misc optional acerhk-source_0.5.35-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEAREDAAYFAkpNLB0ACgkQAQwuptkwlkRSbgCdHF/dB3jl2+yvMZOpd/zBPyCi
oLwAnjRD/+DCj37fKkV3F5b4zCV7H6J8
=VMNH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Aug 2009 07:31:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:54:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.